<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.AreaDaPfPeriodDataMapper">

    <resultMap type="AreaDaPfPeriodData" id="AreaDaPfPeriodDataResult">
        <result property="areaNo" column="area_no"/>
        <result property="modelNo" column="model_no"/>
        <result property="timeScale" column="time_scale"/>
        <result property="dataTime" column="data_time"/>
        <result property="value" column="value"/>
        <result property="dataFlag" column="data_flag"/>
    </resultMap>

    <sql id="selectAreaDaPfPeriodDataVo">
        select area_no, model_no, time_scale, data_time, value, data_flag from area_da_pf_period_data
    </sql>

    <select id="selectAreaDaPfPeriodDataList" parameterType="AreaDaPfPeriodData" resultMap="AreaDaPfPeriodDataResult">
        <include refid="selectAreaDaPfPeriodDataVo"/>
        <where>
            <if test="value != null ">and value = #{value}</if>
            <if test="dataFlag != null ">and data_flag = #{dataFlag}</if>
        </where>
    </select>

    <select id="selectAreaDaPfPeriodDataById" parameterType="Long" resultMap="AreaDaPfPeriodDataResult">
        <include refid="selectAreaDaPfPeriodDataVo"/>
        where area_no = #{areaNo}
    </select>

</mapper>